- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# dynamic_traits< algebra::FreeMonoidProduct< F, S > > Struct Template Reference
[Algebra, Fmp]

Meta information about FreeMonoidProduct. More...

Inherits dynamic_traits.

List of all members.

## Static Public Attributes
static const bool | ret = dynamic_traits<F>::ret or dynamic_traits<S>::ret
| SetWord is dynamic if one of its free monoids is.

## Detailed Description

### template<class F, class S>
struct vcsn::dynamic_traits< algebra::FreeMonoidProduct< F, S > >

Meta information about FreeMonoidProduct.

Definition at line 82 of file freemonoid_product.hh.